lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date:	Mon, 18 May 2009 20:47:52 +0200
From:	Gabriel Paubert <paubert@...m.es>
To:	Medve Emilian-EMMEDVE1 <Emilian.Medve@...escale.com>
Cc:	Lennert Buytenhek <buytenh@...tstofly.org>, tbm@...ius.com,
	LinuxPPC <linuxppc-dev@...abs.org>, pacman@...h.dhis.org,
	netdev@...r.kernel.org, David Miller <davem@...emloft.net>
Subject: Re: [PATCH] Allow selecting mv643xx_eth on Pegasos again

On Mon, May 18, 2009 at 10:48:58AM -0700, Medve Emilian-EMMEDVE1 wrote:
> > -----Original Message-----
> > From: linuxppc-dev-bounces+emilian.medve=freescale.com@...abs.org
> [mailto:linuxppc-dev-
> > bounces+emilian.medve=freescale.com@...abs.org] On Behalf Of Gabriel
> Paubert
> > Sent: Monday, May 18, 2009 12:38 PM
> > To: Lennert Buytenhek
> > Cc: tbm@...ius.com; LinuxPPC; pacman@...h.dhis.org;
> netdev@...r.kernel.org; David Miller
> > Subject: [PATCH] Allow selecting mv643xx_eth on Pegasos again
> > 
> > Since PPC_MUTIPLATFORM was removed, it was impossible to select the
> > driver for mv643xx_eth on the Pegasos. Fix by allowing to select
> > the driver on CHRP platforms; Pegasos is a CHRP platform and the
> driver
> > will not work without arch/powerpc/platforms/chrp/pegasos_eth.
> > 
> > Signed-off-by: Gabriel Paubert <paubert@...m.es>
> > 
> > diff --git a/drivers/net/Kconfig b/drivers/net/Kconfig
> > index 214a92d..6fc0ff4 100644
> > --- a/drivers/net/Kconfig
> > +++ b/drivers/net/Kconfig
> > @@ -2351,7 +2351,7 @@ config UGETH_TX_ON_DEMAND
> > 
> >  config MV643XX_ETH
> >  	tristate "Marvell Discovery (643XX) and Orion ethernet support"
> > -	depends on MV64360 || MV64X60 || (PPC_MULTIPLATFORM && PPC32) ||
> PLAT_ORION
> > +	depends on MV64X60 || PPC_CHRP || PLAT_ORION
> >  	select INET_LRO
> >  	select PHYLIB
> >  	help
> 
> This got fixed here:
> http://git.kernel.org/?p=linux/kernel/git/davem/net-next-2.6.git;a=commi
> tdiff;h=952ee9df26c487f2d73b2dced58ec904f19ea0f8

Ok, I was not aware of it, but the fact is that MV64360 no more exists
and the only non MV64X60 platform that may need it is the Pegasos (to my
knowledge) and it relies on some platform specific code enabled
by PPC_CHRP.

	Regards,
	Gabriel
--
To unsubscribe from this list: send the line "unsubscribe netdev" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Powered by blists - more mailing lists